/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: phrase.cpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include "phrase.hpp"


using namespace std;

namespace io{

  Phrase::Phrase():_values(0){}
  
  Phrase::Phrase(vector<Typed_value> &__values):_values(__values){}
  
  Phrase::Phrase(const Typed_value & _value):_values(1,_value){}

  Phrase::~Phrase(){}

  vector<Typed_value> & Phrase::values(){return _values;}

  void Phrase::add(const Typed_value& _value){
    _values.push_back(_value);
  }
  

}
